trc_etmv4_stack_elem.h File Reference
`#include "opencsd/etmv4/trc_pkt_types_etmv4.h"`
`#include <deque>`
`#include <vector>`
Include dependency graph for trc_etmv4_stack_elem.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TrcStackElem
class | TrcStackElemAddr
class | TrcStackElemCtxt
class | TrcStackElemExcept
class | TrcStackElemAtom
class | TrcStackElemParam
class | EtmV4P0Stack

## Typedefs

typedef enum _p0_elem_t | p0_elem_t

## Enumerations

enum | _p0_elem_t { P0_UNKNOWN, P0_ATOM, P0_ADDR, P0_CTXT, P0_TRC_ON, P0_EXCEP, P0_EXCEP_RET, P0_EVENT, P0_TS, P0_CC, P0_TS_CC, P0_OVERFLOW, P0_FUNC_RET }

## Typedef Documentation

## p0_elem_t

typedef enum _p0_elem_t p0_elem_t

## Enumeration Type Documentation

## _p0_elem_t

enum _p0_elem_t

Enumerator
P0_UNKNOWN |
P0_ATOM |
P0_ADDR |
P0_CTXT |
P0_TRC_ON |
P0_EXCEP |
P0_EXCEP_RET |
P0_EVENT |
P0_TS |
P0_CC |
P0_TS_CC |
P0_OVERFLOW |
P0_FUNC_RET |

Definition at line 46 of file trc_etmv4_stack_elem.h.